FROM registry.fedoraproject.org/fedora-minimal:39

ENV VERSION=3.7.4
ENV PATH="/lua-ls/bin:/usr/sbin:/usr/bin:/sbin:/bin"

RUN mkdir /lua-ls
WORKDIR /lua-ls

RUN curl -LO https://github.com/LuaLS/lua-language-server/releases/download/${VERSION}/lua-language-server-${VERSION}-linux-x64.tar.gz && \
    microdnf install -y tar gzip && \
    tar -xzf lua-language-server-${VERSION}-linux-x64.tar.gz && \
    rm -f lua-language-server-${VERSION}-linux-x64.tar.gz

ENTRYPOINT [ "/lua-ls/bin/lua-language-server" ]
